#!/usr/bin/env python
# -*- coding: UTF-8 -*-
###########################################################################
# Eole NG - 2007
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  cf /root/LicenceEole.txt
# eole@ac-dijon.fr
#
# Reapplication des quotas sur un module Eole
#
###########################################################################

import sys
from os import system

SETQUOTA='/usr/share/ead2/backend/bin/set_quota.py'

def open_file(filename, mode):
    try:
        return file(filename, mode)
    except:
        print "Impossible d'ouvrir le fichier %s" % filename
        sys.exit()

if __name__ == "__main__":
    try:
        source = sys.argv[1]
    except:
        print "Erreur lors de l'acquisition des arguments"
        sys.exit()
    fp = open_file(source, 'r')
    started = False
    for ligne in fp.readlines():
        if not started:
            if ligne.startswith('------------'):
                started = True
            continue
        # cas plusieurs partitions
        if ligne.startswith('***'):
            started = False
            continue
        elts = ligne.strip().split()
        try:
            user  = elts[0]
            quota = elts[3]
        except:
            continue
        if quota != '0':
            print "%s %s %d" % (SETQUOTA, user, int(quota)/1024)
            system("%s \"%s\" \"%d\"" % (SETQUOTA, user, int(quota)/1024))
    fp.close()
